Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1196847 - [abrt] webkitgtk4: __strcmp_sse2_unaligned(): WebKitWebProcess killed by SIGSEGV
Summary: [abrt] webkitgtk4: __strcmp_sse2_unaligned(): WebKitWebProcess killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e72457b38e5bb027df84f9cddec...
: 1192792 1197071 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 22:26 UTC by Eduardo Silva
Modified: 2015-04-04 21:05 UTC (History)
8 users (show)

Fixed In Version: epiphany-3.14.2-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:34:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (110.12 KB, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details
File: cgroup (190 bytes, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details
File: core_backtrace (58.67 KB, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details
File: dso_list (14.36 KB, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details
File: environ (1.84 KB, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details
File: exploitable (82 bytes, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details
File: maps (102.26 KB, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details
File: open_fds (1.45 KB, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details
File: var_log_messages (29 bytes, text/plain)
2015-02-26 22:26 UTC, Eduardo Silva
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 745306 0 None None None 2019-06-12 15:28:45 UTC

Description Eduardo Silva 2015-02-26 22:26:27 UTC
Description of problem:
The tab crashes, showing the Oops! page, when going to this page and scrolling down:

http://www.publico.pt/local/noticia/sindicato-anuncia-adiamento-de-greve-no-metro-de-lisboa-1687386

Version-Release number of selected component:
webkitgtk4-2.6.5-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 60
crash_function: __strcmp_sse2_unaligned
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strcmp_sse2_unaligned at ../sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S:29
 #1 g_str_equal at ghash.c:1776
 #2 ephy_web_dom_utils_find_form_auth_elements at ../../lib/ephy-web-dom-utils.c:401
 #3 web_page_document_loaded at ephy-web-extension.c:959
 #4 _g_closure_invoke_va at gclosure.c:831
 #7 WebKit::InjectedBundlePageLoaderClient::didFinishDocumentLoadForFrame at /usr/src/debug/webkitgtk-2.6.5/Source/WebKit2/WebProcess/InjectedBundle/InjectedBundlePageLoaderClient.cpp:132
 #8 WebKit::WebFrameLoaderClient::dispatchDidFinishDocumentLoad at /usr/src/debug/webkitgtk-2.6.5/Source/WebKit2/WebProcess/WebCoreSupport/WebFrameLoaderClient.cpp:516
 #9 WebCore::FrameLoader::finishedParsing at /usr/src/debug/webkitgtk-2.6.5/Source/WebCore/loader/FrameLoader.cpp:763
 #10 WebCore::Document::finishedParsing at /usr/src/debug/webkitgtk-2.6.5/Source/WebCore/dom/Document.cpp:4578
 #11 WebCore::HTMLConstructionSite::finishedParsing at /usr/src/debug/webkitgtk-2.6.5/Source/WebCore/html/parser/HTMLConstructionSite.cpp:395

Comment 1 Eduardo Silva 2015-02-26 22:26:31 UTC
Created attachment 995828 [details]
File: backtrace

Comment 2 Eduardo Silva 2015-02-26 22:26:32 UTC
Created attachment 995829 [details]
File: cgroup

Comment 3 Eduardo Silva 2015-02-26 22:26:34 UTC
Created attachment 995830 [details]
File: core_backtrace

Comment 4 Eduardo Silva 2015-02-26 22:26:36 UTC
Created attachment 995831 [details]
File: dso_list

Comment 5 Eduardo Silva 2015-02-26 22:26:37 UTC
Created attachment 995832 [details]
File: environ

Comment 6 Eduardo Silva 2015-02-26 22:26:38 UTC
Created attachment 995833 [details]
File: exploitable

Comment 7 Eduardo Silva 2015-02-26 22:26:40 UTC
Created attachment 995834 [details]
File: limits

Comment 8 Eduardo Silva 2015-02-26 22:26:42 UTC
Created attachment 995835 [details]
File: maps

Comment 9 Eduardo Silva 2015-02-26 22:26:43 UTC
Created attachment 995836 [details]
File: open_fds

Comment 10 Eduardo Silva 2015-02-26 22:26:45 UTC
Created attachment 995837 [details]
File: proc_pid_status

Comment 11 Eduardo Silva 2015-02-26 22:26:46 UTC
Created attachment 995838 [details]
File: var_log_messages

Comment 12 Michael Catanzaro 2015-02-27 18:39:21 UTC
*** Bug 1197071 has been marked as a duplicate of this bug. ***

Comment 13 Michael Catanzaro 2015-02-27 19:04:04 UTC
It's because "GObject DOM bindings API now correctly returns NULL intead of empty strings to be able to differentiate between not present and present but empty" in 2.6.5. We knew that was a risky change. Oh well.

Comment 14 Fedora Update System 2015-02-27 20:03:34 UTC
epiphany-3.15.90-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/epiphany-3.15.90-3.fc22

Comment 15 Fedora Update System 2015-02-28 16:41:33 UTC
Package epiphany-3.15.90-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing epiphany-3.15.90-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2873/epiphany-3.15.90-3.fc22
then log in and leave karma (feedback).

Comment 16 Michael Catanzaro 2015-02-28 16:48:13 UTC
(In reply to Fedora Update System from comment #14)
> epiphany-3.15.90-3.fc22 has been submitted as an update for Fedora 22.
> https://admin.fedoraproject.org/updates/epiphany-3.15.90-3.fc22

But you reported this bug against Fedora 21. I will do an update for that too.

Comment 17 Fedora Update System 2015-02-28 17:25:11 UTC
epiphany-3.14.2-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/epiphany-3.14.2-4.fc21

Comment 18 Fedora Update System 2015-03-01 06:50:25 UTC
Package epiphany-3.14.2-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing epiphany-3.14.2-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2891/epiphany-3.14.2-4.fc21
then log in and leave karma (feedback).

Comment 19 gwir 2015-03-02 08:21:10 UTC
Works fine now when go to www.deezer.com thnak you.

Comment 20 Fedora Update System 2015-03-09 08:34:04 UTC
epiphany-3.14.2-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Michael Catanzaro 2015-04-04 21:05:18 UTC
*** Bug 1192792 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.